Create an access token

Use OAuth client credentials to authenticate your requests to the BILL v3 API across AP, AR, and Spend & Expense.

You create a developer app in the BILL web app to generate a client ID and a client secret. Use your client ID and client secret with the token endpoint (POST /authx/token) to generate a short-lived access token. Then pass the access token as a Bearer token in the Authorization header of your BILL v3 API requests.

For step-by-step setup instructions, see Get started with BILL OAuth in the Guides section.

📘

Authorization header format

Authorization: Bearer {access_token}

Your access token inherits the exact product permissions of the BILL user who created the developer app. The access token is the only credential you need to send with your requests.

❗

Important

OAuth client credentials are not supported for Account Console, BILL partners, BILL app partner integrations, or webhooks. Continue using your existing authentication methods for these specific integrations.

Form Data
string
required
Defaults to client_credentials

The credential type for authentication. Always set this value to client_credentials.

string
required

Client ID generated when you create a developer app in the BILL web app.

password
required

Client secret generated with the client ID when you create the developer app.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json